%define name kpl2
%define shortname kpl
%define version 2.1.1
%define release 3mdk

Summary:      Graphical presentation of data sets and functions
Name:         %{name}
Version:      %{version}
Release:      %{release}
License:    GPL
URL:		http://frsl06.physik.uni-freiburg.de/privat/stille/kpl/
Group:        Office
Source:       %{shortname}-%{version}.tar.bz2
Buildroot:	%_tmppath/%{name}-buildroot

%description
kpl is a program for two-dimensional graphical presentation of data
sets and functions. Multidimensional nonlinear parameter fits of
functions to data sets can be performed using the Levenberg-Marquardt
algorithm. Also general linear least square parameter fits are possible.
All settings necessary for a complete description of the presentation
can be saved in plot files. These files as well as data files may be
chosen by command line parameters, using the File menu, or by drag and
drop.
Automatic scaling and normalization allow the easy graphical presentation
of data. Also parameter fits can be performed automatically.
The settings of a presentation may be changed using the Edit menu. Here
also additional data sets and functions can be included which
can be displayed in the same as well as in different data windows.

%prep

%setup -q -n %{shortname}-%{version}

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --prefix=%_prefix --datadir=%_datadir --mandir=%_mandir --enable-final \
	--disable-rpath --includedir=%_includedir

%make

%install

#make prefix=$RPM_BUILD_ROOT%_prefix  kde_includes=$RPM_BUILD_ROOT%_includedir install

%makeinstall kde_includes=$RPM_BUILD_ROOT%_includedir 

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/kpl"\
title="Kpl"\
longtitle="Functions representation"\
needs="x11"\
section="Applications/Sciences/Mathematics"\
icon="kpl.png"\
kde_command="kpl %i %m -caption \"%c\" %U"\
kde_opt="\\nMiniIcon=kpl.png\\nDocPath=kpl/index.html\\nMapNotify=true\\nTerminal=0"
EOF
)

rm $RPM_BUILD_ROOT/%{_docdir}/HTML/en/kpl/common
rm $RPM_BUILD_ROOT/%{_docdir}/HTML/de/kpl/common
 
%post
%update_menus
  
%postun
%clean_menus 

%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/*
%{_datadir}/applnk/Applications/kpl.desktop
%{_datadir}/apps/kpl/
%{_iconsdir}/hicolor/48x48/apps/kpl.png
%{_iconsdir}/hicolor/48x48/mimetypes/plo.png
%{_iconsdir}/locolor/16x16/apps/kpl.png
%{_iconsdir}/locolor/16x16/mimetypes/plo.png
%{_iconsdir}/locolor/32x32/apps/kpl.png    
%{_iconsdir}/locolor/32x32/mimetypes/plo.png
%lang(de) %_datadir/locale/de/LC_MESSAGES/kpl.mo
%lang(pl) %_datadir/locale/pl/LC_MESSAGES/kpl.mo
%{_datadir}/mimelnk/application/x-plo.desktop
%{_docdir}/HTML/de/kpl/
%{_docdir}/HTML/en/kpl/
%{_menudir}/*

%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-3mdk
- Move KDE menu entry in %%_datadir/applnk
- Use optimizations
- Rebuild against latest GCC

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Rebuild against Qt 2.3.0

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.vom> 2.1.1-1mdk
- Used srpm from  RA <ralf.ahlbrink@i.am> :
	- updated
- fix install

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- new in contribs
